Package: grails.rest.render

## [Groovy] Class AbstractIncludeExcludeRenderer<T>

- grails.rest.render.AbstractIncludeExcludeRenderer

- Abstract class for implementing renderers that include/exclude certain properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes`
    `IncludeExcludeSupport<java.lang.String>` | `includeExcludeSupport`
    `java.util.List<java.lang.String>` | `includes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AbstractIncludeExcludeRenderer (java.lang.Class<T> targetType, MimeType mimeType)`
    `AbstractIncludeExcludeRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `excludesProperty(java.lang.Object object, java.lang.String property)`
    `` | `boolean` | `includesProperty(java.lang.Object object, java.lang.String property)`
    `` | `boolean` | `shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

    - #### IncludeExcludeSupport<java.lang.String> includeExcludeSupport

    - #### java.util.List<java.lang.String> includes

  - ### Constructor Detail

    - #### AbstractIncludeExcludeRenderer(java.lang.Class<T> targetType, MimeType mimeType)

    - #### AbstractIncludeExcludeRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### boolean excludesProperty(java.lang.Object object, java.lang.String property)

    - #### boolean includesProperty(java.lang.Object object, java.lang.String property)

    - #### boolean shouldIncludeProperty(RenderContext renderContext, java.lang.Object object, java.lang.String property)